package gov.usgs.earthquake.nshmp.netcdf.www;

import java.util.List;

import gov.usgs.earthquake.nshmp.Text;
import gov.usgs.earthquake.nshmp.Text.Delimiter;
import gov.usgs.earthquake.nshmp.geo.Location;
import gov.usgs.earthquake.nshmp.gmm.Imt;
import gov.usgs.earthquake.nshmp.gmm.NehrpSiteClass;
import gov.usgs.earthquake.nshmp.netcdf.reader.NetcdfUtils.Key;
import gov.usgs.earthquake.nshmp.netcdf.www.Request.RequestDataSiteClass;

/**
 * Request data for hazard services.
 *
 * @author U.S. Geological Survey
 */
public class RequestHazardCurves {

  /**
   * Request data with site class and imt
   */
  static class HazardRequestDataImt extends RequestDataSiteClass {
    public Imt imt;

    HazardRequestDataImt(
        Location site,
        NehrpSiteClass siteClass,
        Imt imt,
        ResponseFormat format) {
      super(site, siteClass, format);
      this.imt = imt;
    }

    @Override
    public String toCsv() {
      return String.format("%s,%s",
          super.toCsv(), Text.join(List.of(Key.IMT.toString(), imt.name()), Delimiter.COMMA));
    }
  }
}
