package gov.usgs.earthquake.nshmp.netcdf;

import java.nio.file.Path;

import gov.usgs.earthquake.nshmp.netcdf.reader.NetcdfUtils;
import gov.usgs.earthquake.nshmp.netcdf.reader.NetcdfUtils.Key;

/**
 * Supported NetCDF data types.
 */
public enum NetcdfDataType {

  GROUND_MOTIONS,
  HAZARD_CURVES;

  /**
   * Returns the data type read from a NetCDF file with attribute "dataType".
   *
   * @param netcdfPath Path to NetCDF file
   */
  public static NetcdfDataType getDataType(Path netcdfPath) {
    return NetcdfDataType
        .valueOf(NetcdfUtils.readAttribute(Key.DATA_TYPE, netcdfPath).getStringValue());
  }
}
